<div class="student-header">
    <mat-icon *ngIf="!(studentId == 'null')" (click)="goToStudentListPage()">arrow_back</mat-icon>
    <h1>{{ studentId == 'null' ? 'Create' : 'Edit' }} Student Profile</h1>
</div>

<div class="student-form-wrapper" *ngIf="!loading">
    <form [formGroup]="studentForm" (ngSubmit)="updateStudentDetails()">
        <input type="file" id="updataProfileExcel" hidden="true" (change)="onFileChange($event)" multiple="false" />
        <div class="update-profile-excel" (click)="updateProfileExcel()">Update profile using Excel</div>

        <mat-form-field appearance="outline">
            <mat-label>Name</mat-label>
            <input type="text" matInput formControlName="name" (keypress)="alphabetsOnly($event)" placeholder="Enter your name">
            <mat-error *ngIf="name?.hasError('required')">Name is required field</mat-error>
        </mat-form-field>

        <mat-form-field appearance="outline">
            <mat-label>Age</mat-label>
            <input type="number" matInput formControlName="age" (keypress)="numericOnly($event)" placeholder="Enter the age">
            <mat-error *ngIf="age?.hasError('required')">Age is required field</mat-error>
        </mat-form-field>

        <label>Gender</label>
        <mat-radio-group formControlName="gender">
            <mat-radio-button color="primary" *ngFor="let gender of genders" [value]="gender.value">{{ gender.view }}</mat-radio-button>
        </mat-radio-group>


        <mat-form-field appearance="outline">
            <mat-label>Phone number</mat-label>
            <input type="text" matInput formControlName="phoneNumber" (keypress)="phoneNumberValidation($event)" placeholder="Enter the phone number">
            <mat-error *ngIf="phoneNumber?.hasError('required')">Phone Number is required field</mat-error>
            <mat-error *ngIf="phoneNumber?.hasError('minlength')">Phone Number should be 10 number</mat-error>
        </mat-form-field>

        <mat-form-field appearance="outline">
            <mat-label>Email</mat-label>
            <input type="email" matInput formControlName="email" placeholder="Enter the email">
            <mat-error *ngIf="email?.hasError('required')">Email is required field</mat-error>
            <mat-error *ngIf="email?.hasError('email')">Invalid email format</mat-error>
            <mat-error *ngIf="!email?.hasError('email') && email?.hasError('emailDomain')">Wrong domain</mat-error>
        </mat-form-field>

        <mat-form-field appearance="outline">
            <mat-label>Password</mat-label>
            <input type="text" matInput formControlName="password" placeholder="Enter the new password">
            <mat-error *ngIf="password?.hasError('required')">Password is required field</mat-error>
            <mat-error *ngIf="password?.hasError('minlength')">Password must be minimum 6 character</mat-error>
            <mat-error *ngIf="password?.hasError('maxlength')">Password must be maximum 10 character</mat-error>
            <mat-error *ngIf="!password?.hasError('minlength') && password?.hasError('pattern')">Password must be atleast one number one uppercase, one lowercase, one special character</mat-error>
        </mat-form-field>

        <!-- <mat-form-field appearance="outline">
            <mat-label>Confirm Password</mat-label>
            <input type="text" matInput formControlName="confirmPassword" placeholder="Confirm password">
            <mat-error *ngIf="confirmPassword?.hasError('required')">Confirm Password is required field</mat-error>
            <mat-error *ngIf="confirmPassword?.hasError('passwordMismatch')">Password Mismatch</mat-error>
        </mat-form-field> -->

        <mat-form-field appearance="outline">
            <mat-label>Department</mat-label>
            <mat-select formControlName="department">
              <mat-option *ngFor="let department of departments" [value]="department.value">{{ department.view }}</mat-option>
            </mat-select>
            <mat-error *ngIf="department?.hasError('required')">Department is required field</mat-error>
        </mat-form-field>

        <div class="submit-btn">
            <button type="submit" [disabled]="studentForm.invalid" mat-flat-button color="primary">Submit Student Details</button>
        </div>
    </form>
</div>